gst-compprep-0.8(1)

NAME
gst-compprep - create the registry for gst-complete

SYNOPSIS
gst-compprep

DESCRIPTION

gst-compprep builds a registry of GStreamer elements and their features that is used by gst-complete to perform context-sensitive tab completion of gst-launch command lines.

By default, the registry is stored in /etc/gstreamer/compreg.xml

USAGE
Whenever the available gstreamer plugins are modified, the registry should be regenerated by running gst-compprep as root.

FILES

@prefix@/var/cache/gstreamer/compreg.xml
    Registry generated by gst-compprep and used by gst-complete.

SEE ALSO
gst-complete(1), gst-launch(1), gst-register(1), gst-inspect(1),

AUTHOR
The GStreamer team at http://gstreamer.net/